
From: Paolo 'Blaisorblade' Giarrusso <blaisorblade_spam@yahoo.it>

Make hostfs use the generic sendfile implementation.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade_spam@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/hostfs/hostfs_kern.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/hostfs/hostfs_kern.c~hostfs-uml-set-sendfile-to-generic_file_sendfile fs/hostfs/hostfs_kern.c
--- 25/fs/hostfs/hostfs_kern.c~hostfs-uml-set-sendfile-to-generic_file_sendfile	2004-11-18 23:41:57.336682536 -0800
+++ 25-akpm/fs/hostfs/hostfs_kern.c	2004-11-18 23:41:57.339682080 -0800
@@ -393,6 +393,7 @@ int hostfs_fsync(struct file *file, stru
 static struct file_operations hostfs_file_fops = {
 	.llseek		= generic_file_llseek,
 	.read		= generic_file_read,
+	.sendfile	= generic_file_sendfile,
 	.write		= generic_file_write,
 	.mmap		= generic_file_mmap,
 	.open		= hostfs_file_open,
_
